{% load static %}

<!DOCTYPE html>
<html lang="en">
  <style>
    .center {
        margin: auto;
        padding: 10px;
    }
  </style>
  <head>
    <!-- libraries -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <meta charset="UTF-8" />
    <title>Note</title>
  </head>
  <body style="background-color: rgb(43, 43, 43);">
    <!-- navbar -->
    <div class="topnav">
        <a class="active">Table View</a>
        <a href=#>Send New Note</a>
    </div>
    <h2 style="font-family:'Franklin Gothic Medium'; background-color: lightskyblue; color: rgb(43, 43, 43); border-radius: 8px; padding-left: 16px; padding-top: 2px; padding-bottom: 4px; text-align: center;">
        🍑💌🤓 These Are The Messages 🤓💌🍑
    </h2>
    <table class="center">
      <tr>
        <th>To</th>
        <th>From</th>
        <th>Title</th>
        <th>Action</th>
      </tr>
      {% for note in notes %}>
      <tr>
        <td style="width: 120px;">{{ note.to }}</td>
        <td style="width: 120px;">{{ note.dari }}</td>
        <td>{{ note.title }}</td>
        <td style="width: 237px;">
            <button style="background-color: rgb(115, 157, 236);" type="button" class="btn btn-primary"><i class="fa fa-eye"></i>&ensp;View</button>
            <button style="background-color: rgb(132, 196, 132);" type="button" class="btn btn-primary"><i class="fa fa-pencil"></i>&ensp;Edit</button>
            <button style="background-color: rgb(247, 120, 120);" type="button" class="btn btn-primary"><i class="fa fa-trash"></i>&ensp;Delete</button>
        </td>
      </tr>
      {% endfor %}
    </table>

    <!-- load static untuk styling scc -->
    <link href="{% static 'css/button_style.css' %}" rel="stylesheet" type="text/css">
    <link href="{% static 'css/navbar_style.css' %}" rel="stylesheet" type="text/css">
    <link href="{% static 'css/table_style.css' %}" rel="stylesheet" type="text/css">
  </body>
</html>
